Subject: Re: [PATCH net-next v5 1/2] ptp: introduce Alibaba CIPU PHC driver

From: Jakub Kicinski <[email-masked]>
Date: Fri, 28 Nov 2025 10:24:37 -0800

On Fri, 28 Nov 2025 14:22:21 +0800 Wen Gu wrote:
> > Could you go complain to clock people? Or virtualization people?  
> 
> I understand that the PTP implementations in drivers/ptp aren't closely
> related to networking though drivers/ptp is included in NETWORKING DRIVERS
> in the MAINTAINER file.
> 
> I noticed that drivers/ptp/* is also inclued in PTP HARDWARE CLOCK SUPPORT.
> This attribution seems more about 'clock'.
> 
> Hi @Richard Cochran, could you please review this? Thanks! :)

It's Thanksgiving weekend in the US, Richard may be AFK so excuse my
speaking for him, but he mentioned in the past that he is also not
interested in becoming a maintainer for general clocks, unrelated 
to PTP.

Search the mailing list, there are at least 3 drivers like yours being
proposed. Maybe you can get together with also the KVM and VMclock
authors and form a new subsystem?